%define name	d4x
%define version	2.5.4
%define release	%mkrel 1
%define group	Networking/File transfer

%define	section	Internet/File Transfer
%define	title	Downloader for X

%define Summary	Web Downloader for X

Summary: 	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
License: 	Artistic
Group: 		%{group}
Source: 	%{name}-%{version}.tar.bz2
Source1:	d4x-zh_TW.po.bz2
URL: 		http://www.krasu.ru/soft/chuchelo/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libao-devel
Buildrequires:  gtk+2-devel ImageMagick
Obsoletes:	nt
Provides:	nt

%description
This program lets you download files from internet/intranet using
ftp, http or https protocol.
Main features:
    * multithreaded design
    * convient user-friendly interface
    * automatic resuming after connection breaks
    * multiple simultaneous downloads
    * recursive ftp and http downloading
    * wildcards support for ftp recursing
    * proxy support (ftp and http)
    * supports for traffic limitation
    * mass downloading function
    * and other ...

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--enable-release \
	--disable-esd \
	--disable-oss \
	--enable-libao

%make 

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 share/d4x_aqua.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt-gray.png %{buildroot}%{_datadir}/pixmaps/
install -m 644 share/nt.png %{buildroot}%{_datadir}/pixmaps/

install -m 644 -D share/nt.desktop %{buildroot}%{_datadir}/gnome/apps/Internet/nt.desktop

mkdir -p %{buildroot}%{_miconsdir} \
         %{buildroot}%{_liconsdir} \
         %{buildroot}%{_iconsdir}

install -m 644      share/nt.png %{buildroot}%{_iconsdir}/nt.png
convert -size 16x16 share/nt.png %{buildroot}%{_miconsdir}/nt.png
convert -size 48x48 share/nt.png %{buildroot}%{_liconsdir}/nt.png

# menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): longtitle="%{Summary}" \
command="%_bindir/nt" title="%{title}" needs="x11" \
section="%{section}" \
icon="nt.png"
EOF

# traditional Chinese translation
mkdir -p %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES
bzcat %{SOURCE1} | msgfmt -o %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES/d4x.mo -

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog INSTALL* README* PLANS TODO 
%{_bindir}/*
%{_menudir}/%{name}
%{_miconsdir}/nt.png
%{_iconsdir}/nt.png
%{_liconsdir}/nt.png
%{_datadir}/gnome/apps/Internet/nt.desktop
%{_datadir}/pixmaps/*
%dir %{_datadir}/d4x
%{_datadir}/d4x/*
%{_mandir}/man1/nt.1*

%changelog
* Mon Sep 12 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.5.4-1mdk
- 2.5.4

* Fri Sep 2 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.5.3-1mdk
- 2.5.3

* Sun Aug 28 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.5.2-1mdk
- 2.5.2

* Fri Aug 12 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 2.5.1-1mdk
- 2.5.1
- removed P0 and prerel tag
- use mkrel
- add https protocol into description

* Thu Apr 07 2005 Abel Cheung <deaddog@mandriva.org> 2.5.0-3mdk
- P0: Fix compile against gtk 2.6.x
- Solely use libao
- Add traditional Chinese translation from Zunix Ling (zunix AT oaka.org)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.5.0-2mdk
- Fix menu

* Sat Aug 7 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.5.0-1mdk
- 2.5.0 final

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.rc4.2mdk
- Rebuild

* Thu May 27 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.5.0-0.rc4.1mdk
- rc4
- removed dirty tricks, d4x is now ported to gtk2.4

* Fri May 21 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 2.5.0-0.rc3.1mdk
- rc3
- two quick fixes to allow build under gtk2.4 which is now unsupported by author
- added some macros

* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.5.0-0.rc2.2mdk
- buildrequires
- no rm -rf $RPM_BUILD_ROOT in %%prep
- change summary macro to avoid possible conflicts
- add small and large icon

* Mon Jan 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.5.0-0.rc2.1mdk
- rc2

* Sun Dec 28 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.5.0-0.rc1.1mdk
- 2.5.0rc1
 
* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-2mdk
- adjust buildrequires

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.0-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- 2.4.0 final

* Sun Dec 22 2002 Matthias Debus <psic4t@netbands.de> 2.4.0-0.3mdk
- rc2
- unsource icons.
- png icons only (out xpm!)

* Thu Dec 12 2002 Matthias Debus <psic4t@netbands.de> 2.4.0-0.2mdk
- new release: rc1
- source icons.

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-0.1mdk
- 2.4beta

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.03-1mdk
- 2.03

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.02-1mdk
- 2.02

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- used spec from Vaclav Slavik <vaclav.slavik@matfyz.cz> :
	- 2.0
	- changed name to d4x
- obsoletes nt

* Sun May  5 2002 Vaclav Slavik <vaclav.slavik@matfyz.cz> 2.0-1mdk
- 2.0
- changed name to d4x

* Tue Dec  4 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.30-1mdk
- 1.30
- Cleaned up the SPEC a little - I hate install...
- Make the %setup be quiet!
- Fixed the License tag, so that rpmlint doesn't complain

* Sat Sep 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.29-1mdk
- 1.29

* Wed Aug 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.28.1-1mdk
- updated to 1.28.1

* Fri May 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 1.26
	- improved Italian translation

* Thu Mar 15 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.24.1-1mdk
- new release

* Tue Jan 23 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.20-1mdk
- new release
- some fixes ...making rpmlint happier

* Tue Aug 29 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.19-1mdk
- new release

* Mon Aug 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.18-1mdk
- new release

* Mon Jul 31 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.17-2mdk
- BM
- Added menu entry
- Added man 
- Fixed NLS
- Fixed Italian Language

* Tue Jun 13 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 1.17-1mdk
- 1.17-1mdk
- Moved from diff to perl patch for Makefile

* Fri Jun 09 2000 John Johnson <jjohnson@linux-mandrake.com> 1.16.1-1mdk
- Made mandrake rpm  
- v1.16.1

* Wed May 03 2000 Lenny Carter <lenny@mandrakesoft.com> 1.06-4mdk
- fix group

* Mon Nov 08 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fixed the copyright tag

* Tue Oct 12 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation
